Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class OpenJPAVersion

    java.lang.Object
      org.apache.openjpa.conf.OpenJPAVersion

    public class OpenJPAVersion

extends Object

This class contains version information for OpenJPA. It uses Ant's filter tokens to convert the template into a java file with current information.

Author:
  Marc Prud'hommeaux, Patrick Linskey

Field Summary
`static int` | `MAJOR_RELEASE`
`static int` | `MINOR_RELEASE`
`static int` | `PATCH_RELEASE`
`static String` | `RELEASE_STATUS`
`static String` | `REVISION_NUMBER`
`static String` | `VENDOR_NAME`
`static String` | `VERSION_ID`
`static String` | `VERSION_NUMBER`

Constructor Summary
`OpenJPAVersion()`

Method Summary
`void` | `appendOpenJPABanner(StringBuilder buf)`
`static void` | `main(String[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public static final String VERSION_NUMBER

### VERSION_ID

    public static final String VERSION_ID

### VENDOR_NAME

    public static final String VENDOR_NAME

See Also:
  Constant Field Values

### MAJOR_RELEASE

    public static final int MAJOR_RELEASE

### MINOR_RELEASE

    public static final int MINOR_RELEASE

### PATCH_RELEASE

    public static final int PATCH_RELEASE

### RELEASE_STATUS

    public static final String RELEASE_STATUS

### REVISION_NUMBER

    public static final String REVISION_NUMBER

Constructor Detail

### OpenJPAVersion

    public OpenJPAVersion()

Method Detail

### main

    public static void main(String[] args)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendOpenJPABanner

    public void appendOpenJPABanner(StringBuilder buf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.